#!/bin/sh
# LibreOffice for slackware current 160419

lov=6.2.2
FINALSFS=libreoffice-sc_new

./createsfs-lo -r new -f libreoffice-sc LibreOffice-${lov}_en-US_xz.sfs
mv ${FINALSFS}/opt/libreoffice6.2 ${FINALSFS}/opt/libreoffice
mv ${FINALSFS}/opt/libreoffice ${FINALSFS}/usr/lib
rmdir ${FINALSFS}/opt
./createsfs-lo -r new -f libreoffice-sc libreoffice-fresh-en-gb-${lov}-1.0-any.pkg.txz
desktoplist=`ls ${FINALSFS}/usr/share/applications/libreoffice6.2-*.desktop`
rm ${FINALSFS}/usr/share/applications/libreoffice6.2-*.desktop
for ii in $desktoplist
do
  ff=$(basename "$ii")
  dd="$(cut -d'-' -f2 <<<$ff)"
  ln -s /usr/lib/libreoffice/share/xdg/${dd} ${FINALSFS}/usr/share/applications/libreoffice-${dd}
  sed -i 's%Exec=libreoffice6.2%Exec=/usr/lib/libreoffice/program/soffice%' ${FINALSFS}/usr/lib/libreoffice/share/xdg/${dd}
done
cp -d libs/usr/lib/* ${FINALSFS}/usr/lib
rm ${FINALSFS}/usr/local/bin/libreoffice6.2
ln -s /usr/lib/libreoffice/program/soffice ${FINALSFS}/usr/local/bin/libreoffice

# Finally creating .sfs file
mksquashfs "${FINALSFS}" "${FINALSFS}.sfs" -b 1024K -comp xz
rm -fr "${FINALSFS}"
mv $FINALSFS.sfs libreoffice-sc_${lov}.sfs
